Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007535opensim[REGION] Physics Enginespublic2015-04-21 05:552015-07-26 19:48
ReporterBlueWall 
Assigned ToRobert Adams 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007535: Non-Standard avatars bouncing-jerking movement
DescriptionNon-standard avatars bounce and jerk along when moving on the ground. Git bisect shows that this behavior appeared in two commits ...

9406db3047a864e3c98221d6edb66e508d404e9d

    Fix problem with floating avatar by passing avatar size information
    to the physics engine.
    
    This operation was accidentally removed while in the middle of improving
    the computation of the avatar height. This is a temp fix until the real
    solution is added.


and ...

65c4cb48ac49bd6aa9e813a401411be5226d01a7


    BulletSim: make avatar physical shape to be a rectangle rather than
    a capsule. Set the default to be the rectangle shape and adjust the
    parameters in OpenSimDefaults.ini for the new shape.
    
    The rectangle shape will perform better and avatar height can be
    computed more accurately.


The first moves the avatar to the ground and for non-standard avatars a slight jitter appears when moving along the terrain.

The second causes the non-standard avatar to sink into the terrain, creating bouncing and jerking movements.

These are apparent in the camera, and can be observed by other avatars in the scene.
Steps To ReproduceFind a quadruped avatar in the attached iar file, or in the landing area on region "BlueWall" on OSGrid.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono VersionOther
ViewerAny
Attached Files? file icon Tiger.iar [^] (1,641,003 bytes) 2015-04-21 05:55

- Relationships

-  Notes
(0028212)
Luisillo_Contepomi (reporter)
2015-05-05 09:15

The same avatars bounce and jerk along when moving on the ground for human avatars height less or equal than 1.35m. (Without ao)
(0028213)
BlueWall (administrator)
2015-05-05 09:19

A user reported that the non-standard avatars moving across prim surfaces do not have the issue. I verified this to the the case.
(0028214)
Luisillo_Contepomi (reporter)
2015-05-05 09:21

Yes only on terrain. Not over prims.
(0028215)
Luisillo_Contepomi (reporter)
2015-05-05 09:55

Video http://grid.contepomi.net/littleavatarmovement.wmv [^]
(0028995)
mewtwo0641 (reporter)
2015-07-26 14:50
edited on: 2015-07-26 14:55

I see this as well when using shorter avatars. It's quite nauseating to see the bounce when walking around on terrain. I have found that by using BulletSim physics and adjusting AvatarHeightLowFudge from 0.0 to 1.0 it pretty much completely eliminates the bounce... But it then makes it hard to walk up stairs and the like; plus it makes your avatar hover a good bit (which is expected of course since if I recall correctly you're offsetting the avatar physics capsule with that setting).

The hovering can be worked around by setting your avatar hover height in your body settings down a bit (provided you're on a recent viewer) but it's still harder to walk up things that were meant to be walked up :)

I can say that it's a viewer specific issue. At some point in time around 2011... Possibly 2012... LL made some changes I believe related to the avatar capsule and that's when the bounce started appearing on OS. Older viewers do not seem to exhibit this behavior (Such as Phoenix Viewer). Singularity used to not have the bounce issue until sometime around the 1.8.0 release and that change got merged in with their code.

(0028997)
Ferd Frederix (reporter)
2015-07-26 19:48

If you run an osSetSpeed(llGetOwner(), 0.2); to slow the avatar down it gets much worse. May be related. My guess is that the push upwards needs to be modulated by the osSetSpeed factor to not push up so hard when moving slower.

- Issue History
Date Modified Username Field Change
2015-04-21 05:55 BlueWall New Issue
2015-04-21 05:55 BlueWall File Added: Tiger.iar
2015-04-21 11:18 Robert Adams Assigned To => Robert Adams
2015-04-21 11:18 Robert Adams Status new => assigned
2015-05-05 09:15 Luisillo_Contepomi Note Added: 0028212
2015-05-05 09:19 BlueWall Note Added: 0028213
2015-05-05 09:21 Luisillo_Contepomi Note Added: 0028214
2015-05-05 09:55 Luisillo_Contepomi Note Added: 0028215
2015-07-26 14:50 mewtwo0641 Note Added: 0028995
2015-07-26 14:55 mewtwo0641 Note Edited: 0028995 View Revisions
2015-07-26 19:48 Ferd Frederix Note Added: 0028997


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker